# Uses of Class
org.apache.lucene.queryparser.classic.QueryParserTokenManager

Packages that use QueryParserTokenManager
Package
Description
org.apache.lucene.queryparser.classic
A simple query parser implemented with JavaCC.

- ## Uses of QueryParserTokenManager in org.apache.lucene.queryparser.classic

  Fields in org.apache.lucene.queryparser.classic declared as QueryParserTokenManager
  Modifier and Type
  Field
  Description
  `QueryParserTokenManager`
  QueryParser.`token_source`
  Generated Token Manager.
  Methods in org.apache.lucene.queryparser.classic with parameters of type QueryParserTokenManager
  Modifier and Type
  Method
  Description
  `void`
  QueryParser.`ReInit(QueryParserTokenManager tm)`
  Reinitialise.
  Constructors in org.apache.lucene.queryparser.classic with parameters of type QueryParserTokenManager
  Modifier
  Constructor
  Description
  `protected`
  `QueryParser(QueryParserTokenManager tm)`
  Constructor with generated Token Manager.